<?php

include '../vendor/autoload.php';
require_once 'includes/functions.php';
session_start();

$twig = getTwigInstance();
// $articles = include('includes/data.php');
// $articles = ['articles'];
$articles['articles'] = [];
$servername = "fa416971-001.eu.clouddb.ovh.net:35602";
$username = "TacticsDreams";
$password = "B1zMark1e";

$result = null;
$configResult = null;

// Fonction qui trie par ordre décroissant.
function sortFunction( $a, $b ) {
    return strtotime($b["datetime"]) - strtotime($a["datetime"]);
}

if(isset($_SESSION['username'])) {
    $conn = new PDO("mysql:host=$servername;dbname=minuteinfos", $username, $password);
    // set the PDO error mode to exception
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // Récupérer la liste des critères sélectionnés.
    $name = $_SESSION['username'];
    $query = "SELECT sante, economie, sciences, tech, culture, sport, politique, divers FROM `users` WHERE username = :uname";
    $stmt = $conn->prepare($query);
    $stmt->execute([":uname" => $name]);
    $configResult = $stmt->fetch();
    $criteria = [];
    if ($configResult['sante'] == 1) array_push($criteria, 'sante');
    if ($configResult['economie'] == 1) array_push($criteria, 'economie');
    if ($configResult['sciences'] == 1) array_push($criteria, 'sciences');
    if ($configResult['tech'] == 1) array_push($criteria, 'tech');
    if ($configResult['culture'] == 1) array_push($criteria, 'culture');
    if ($configResult['sport'] == 1) array_push($criteria, 'sport');
    if ($configResult['politique'] == 1) array_push($criteria, 'politique');
    if ($configResult['divers'] == 1) array_push($criteria, 'divers');
}
try {
    $conn = new PDO("mysql:host=$servername;dbname=minuteinfos", $username, $password);
    // set the PDO error mode to exception
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    // La fonction recherche est utilisé.
    if(isset($_POST['date']) || isset($_POST['theme'])) {
        // Recherche par date & thème.
        if((isset($_POST['date']) && $_POST['date'] !== "") && (isset($_POST['theme']) && $_POST['theme'] !== "")) {
            $cat = $_POST['theme'];
            $date = $_POST['date'];
            $stmt = $conn->prepare("SELECT * FROM tbl_post
                                    WHERE category = :cat 
                                    AND datetime BETWEEN :date' 00:00:00' and :date' 23:59:59'
                                    ORDER BY datetime DESC");
            $stmt->execute([":cat" => $cat, ":date" => $date]);
            $result = $stmt->fetchAll();
        } 
        // Recherche par date.
        elseif(isset($_POST['date']) && $_POST['date'] !== "") {
            $date = $_POST['date'];
            // Prend en compte les préférences de l'utilisateur.
            if(isset($_SESSION['username'])) {
                $allList = [];
                // Pour chaque critère de valeur 1...
                for ($i=0; $i < count($criteria); $i++) {
                    // Récuperer les articles...
                    $stmt = $conn->prepare("SELECT * FROM tbl_post
                                            WHERE category=:category 
                                            AND datetime BETWEEN :date' 00:00:00' and :date' 23:59:59'
                                            ORDER BY datetime DESC LIMIT 10");
                    $stmt->execute([":category" => $criteria[$i], ":date" => $date]);
                    $subResult = $stmt->fetchAll();
                    foreach($subResult as $element) {
                        array_push($allList, $element);
                    }
                }
                usort($allList, "sortFunction");
                // Ne prendre que les 5 premiers.
                $result = [];
                for ($i=0; $i < 5; $i++) { 
                    array_push($result, $allList[$i]);
                }
            } else {
                $stmt = $conn->prepare("SELECT * FROM tbl_post
                                        WHERE datetime BETWEEN :date' 00:00:00' and :date' 23:59:59'
                                        ORDER BY datetime DESC LIMIT 20");
                $stmt->execute([":date" => $date]);
                $result = $stmt->fetchAll();
            }
        } elseif(isset($_POST['theme']) && $_POST['theme'] !== "") {
            $cat = $_POST['theme'];
            $stmt = $conn->prepare("SELECT * FROM tbl_post 
                                    WHERE category = :cat ORDER BY datetime DESC LIMIT 5");
            $stmt->execute([":cat" => $cat]);
            $result = $stmt->fetchAll();                
        } else {
            $stmt = $conn->prepare("SELECT * FROM tbl_post ORDER BY datetime DESC LIMIT 5");
            $stmt->execute();
            $result = $stmt->fetchAll();
        }
    }
    // Page d'accueil pour un utilisateur.
    elseif(isset($_SESSION['username'])) {
        $allList = [];
        // Pour chaque critère de valeur 1...
        for ($i=0; $i < count($criteria); $i++) {
            // Récuperer les articles...
            $stmt = $conn->prepare("SELECT * FROM tbl_post WHERE category=:category ORDER BY datetime DESC LIMIT 5");
            $stmt->execute([":category" => $criteria[$i]]);
            $result = $stmt->fetchAll();
            foreach($result as $element) {
                array_push($allList, $element);
            }
        }
        // ...et les ajouter dans une liste.

        // Trier la liste par date avec un uasort...

        usort($allList, "sortFunction");
        // Ne prendre que les 5 premiers.
        $result = [];
        for ($i=0; $i < 5; $i++) { 
            array_push($result, $allList[$i]);
        }
    } 
    // Un compte et la fonction Recherche ne sont pas utilisé
    else {
        $stmt = $conn->prepare("SELECT * FROM tbl_post ORDER BY datetime DESC LIMIT 5");
        $stmt->execute();
        $result = $stmt->fetchAll();
        //dump($result);
    }
} catch(PDOException $e) {
    echo "Error: " . $e->getMessage();
}

foreach($result as $art) {

    $title = $art['post_title'];
    $desc = $art['post_description'];
    $author = $art['author'];
    $date = $art['datetime'];
    $img = $art['post_image'];
    $url = $art['post_url'];
    $theme = $art['category'];
    $source = $art['source'];
    // Crée le nouvel article.
    $new = [
        'title' => $title,
        'desc' => $desc,
        'author' => $author,
        'date' => $date,
        'img' => $img,
        'link' => $url,
        'theme' => $theme,
        'source' => $source,
        'dateFormat' => date("d/m/Y h:i", strtotime($date))
    ];
    array_push($articles['articles'], $new);
}

//dump($articles);

// Vérifie si une date et/ou un thème sont entrés.
$time = "A la une";
if (isset($_POST['date']) && $_POST['date'] !== "") {
    $time = "Articles du " . date("d/m/Y", strtotime($_POST['date']));
}
$data = [
    'title' => 'Accueil',
    'list' => $articles['articles'],
    'connected' => isset($_SESSION["username"]),
    'time' => $time,
];

$template = $twig->load('homepage.twig');

echo $template->render($data);