<?php
  // Initialiser la session
  include('../vendor/autoload.php');
  require_once 'includes/functions.php';

  $twig = getTwigInstance();
  require('includes/auth_session.php');
  $name = $_SESSION["username"];
  $operation = null;
  $operationMsg = null;
  if (!empty($_POST["settings-submit"])) {
    $categoryList = ['sante', 'economie', 'sciences', 'tech', 'culture', 'sport', 'politique', 'divers'];
    foreach($categoryList as $cat) {
      if (!isset($_POST[$cat])) {
        $_POST[$cat] = 0;
      }
    }
    require('includes/db.php');
    foreach($_POST as $key => $value) {
      if ($value) {
        $_POST[$key] = 1;
      } else {
        $_POST[$key] = 0;
      }
    }
    try {
      require('includes/db.php');
      unset($_POST["settings-submit"]);
      foreach($_POST as $post => $value) {
        $criteria = $post;
        $switch = (int) $value;
        $query = "UPDATE `users` SET $criteria = :switch WHERE username = :uname";
        $stmt = $conn->prepare($query);
        $stmt->execute([":uname" => $name, ":switch" => $switch]);
      }
      $operation = "settings-S";
      $operationMsg = "Les changements ont bien été effectués!";

    } catch(PDOException $e) {
      echo "Error: " . $e->getMessage();
      $operation = "settings-E";
      $operationMsg = "Une erreur est survenue, l'opération a été annulée.";
    }
  }

  if(!empty($_POST["password-submit"])) {
    require('includes/db.php');
    $name = $_SESSION["username"];
    $query = "SELECT password FROM `users` WHERE username = :uname";
    $stmt = $conn->prepare($query);
    $stmt->execute([':uname' => $name]);
    $result = $stmt->fetch()[0];

    if(password_verify($_POST["actualPassword"], $result)) {
      if($_POST["password"] == $_POST["newPassword"]) {
        try {
          $query = "UPDATE `users` SET password = :newPassword WHERE username = :uname";
          $stmt = $conn->prepare($query);
          $stmt->execute([":uname" => $name, ":newPassword" => password_hash($_POST["password"], PASSWORD_BCRYPT)]);
          $operation = "password-S";
          $operationMsg = "Le mot de passe a bien été enregistré.";
          if($name == 'admin') {
            $operationMsg .= " Cependant, pour ce compte-ci, le mot de passe à été restauré.";
            $query = "UPDATE `users` SET password = :newPassword WHERE username = :uname";
            $stmt = $conn->prepare($query);
            $stmt->execute([":uname" => $name, ":newPassword" => password_hash("admin", PASSWORD_BCRYPT)]);
          }
        } catch (PDOException $e) {
          echo "Error: " . $e->getMessage();
          $operation = "password-E";
          $operationMsg = "Une erreur est survenue, l'opération a été annulée.";
        }
      } else {
        $operation = "password-E";
        $operationMsg = "Le nouveau mot de passe et sa confirmation ne sont pas identiques. Veuillez réessayer.";
      }
    } else {
      $operation = "password-E";
      $operationMsg = "Le mot de passe actuel est incorrect. Veuillez réessayer.";
    }
  }

  if(!empty($_POST["email-submit"])) {
    require('includes/db.php');
    try {
      $query = "UPDATE `users` SET email = :newEmail WHERE username = :uname";
      $stmt = $conn->prepare($query);
      $stmt->execute([":uname" => $name, ":newEmail" => $_POST["email"]]);
      $operation = "email-S";
      $operationMsg = "L'adresse e-mail a bien été enregistré.";
      if($name == 'admin') {
        $operationMsg .= " Cependant, pour ce compte-ci, l'adresse e-mail à été restaurée.";
        $query = "UPDATE `users` SET email = :newEmail WHERE username = :uname";
        $stmt = $conn->prepare($query);
        $stmt->execute([":uname" => 'admin', ":newEmail" => "contact@minuteinfos.fr"]);
      }
    } catch (PDOException $e) {
      echo "Error: " . $e->getMessage();
      $operation = "email-E";
      $operationMsg = "Une erreur est survenue, l'opération a été annulée.";
    }
  }

  // Vérifiez si l'utilisateur est connecté, sinon redirigez-le vers la page de connexion
  if(!isset($_SESSION["username"])){
    header("Location: login.php");
    exit(); 
  } 
  // Récupère les données de l'utilisateur.
  else {
    require('includes/db.php');
    $name = $_SESSION["username"];
    $query = "SELECT * FROM `users` WHERE username = :uname";
    $stmt = $conn->prepare($query);
    $stmt->execute([':uname' => $name]);
    $result = $stmt->fetch();
  }

  $data = [
    'title' => 'Dashboard',
    'result' => $result,
    'username' => $_SESSION["username"],
    'operation' => $operation,
    'operationMsg' => $operationMsg,
  ];

  $template = $twig->load('dashboard.twig');

  echo $template->render($data);
?>