<?php

include '../vendor/autoload.php';
require('includes/db.php');

$servername = "fa416971-001.eu.clouddb.ovh.net:35602";
$username = "TacticsDreams";
$password = "B1zMark1e";
$articles['articles'] = [];
$urls = include('includes/sources.php');
$logName = "log.txt";

foreach ($urls as $url) {
    $xml = simplexml_load_file($url['link']) or die('Cannot connect to URL.');
    $limiter = 0;
    $lastDate = null;
    try {
        $conn = new PDO("mysql:host=$servername;dbname=minuteinfos", $username, $password);
        // set the PDO error mode to exception
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        $criteria = $url['topic'];
        $stmt = $conn->prepare("SELECT MAX(datetime) FROM tbl_post WHERE category = '$criteria'");
        $stmt->execute();
        $lastDate = strtotime($stmt->fetch()[0]);
    } catch(PDOException $e) {
        echo "Error: " . $e->getMessage();
    }

    foreach ($xml->channel->item as $item) {

            if (strtotime($item->pubDate) > $lastDate) {
                $media = $item->children("http://search.yahoo.com/mrss/");

                $title = $item->title;
                $date = $item->pubDate;
                $source = $url['name'];
                $link = $item->link;
                $desc = $item->description;
                $author = $item->author;
                $theme = $url['topic'];

                // Thumbnail for France24
                if ($url['name'] === 'France24') {
                    $thumbnail = $item->children('media', true)->thumbnail->attributes();
                    $img = $thumbnail['url'];
                }
                // Thumbnail for 7sur7
                elseif ($url['name'] === '7sur7') {
                    $thumbnail = $item->children('media', true);
                    $thumbnail = $thumbnail[0]->attributes();
                    $img = $thumbnail['url'];
                }
                // Thumbnail for BFM TV
                elseif ($url['name'] === 'BFM TV') {
                    $desc = strip_tags($desc);
                    $img = $item->enclosure->attributes()['url'];
                }

                $new = ['title' => $title, 'date' => $date, 'source' => $source, 'link' => $link, 'desc' => $desc, 'author' => $author, 'img' => $img, 'theme' => $theme];
                array_push($articles['articles'], $new);
                $limiter++;
                if ($limiter >= 5) {
                    break;
                }
        }
    }
}

if (sizeof($articles['articles']) > 0) {
    try {
        $conn = new PDO("mysql:host=$servername;dbname=minuteinfos", $username, $password);
        // set the PDO error mode to exception
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        $stmt = $conn->prepare("INSERT INTO tbl_post (post_title, post_description, author, datetime, post_image, post_url, category, source)
        VALUES (:title, :desc, :author, :datetime, :img, :link, :cat, :source)");
        $stmt->bindParam(':title', $title);
        $stmt->bindParam(':desc', $desc);
        $stmt->bindParam(':author', $author);
        $stmt->bindParam(':datetime', $date);
        $stmt->bindParam(':img', $img);
        $stmt->bindParam(':link', $link);
        $stmt->bindParam(':cat', $category);
        $stmt->bindParam(':source', $source);
    
    
        $log = fopen($logName, 'w');
        fputs($log, sizeof($articles['articles']) . " new articles added on the " . date("Y-m-d H:i") . ":\n------\n");
        foreach($articles['articles'] as $art) {
            $title = $art['title'];
            $desc = $art['desc'];
            $author = $art['author'];
            $date = date('Y-m-d H:i:s', strtotime($art['date']));
            $img = $art['img'];
            $link = $art['link'];
            $category = $art['theme'];
            $source = $art['source'];
        
            $stmt->execute();
            if (!$log) {
                die('Error creating the file ' . $logName);
            }
            fputs($log, "Article [" . $title . "] made in " . $date . " (" . $category . ") added.\n");
        }
        fclose($log);
    
        echo "Connected successfully";
    } catch(PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
    dump($articles);
} else {
    echo "No new articles since last execution of that script.";
}
  ?>