<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Minute Infos - Landing</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Open Graph-->
    <meta property="og:site_name" content="Minute Info"/>
    <meta property="og:title" content="Accueil - Minute Info"/>
    <meta property="og:description" content="Découvrez MinuteInfos et ses fonctions"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www"/>
    <meta property="og:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg"/>
    <meta property="og:image:width" content="1600">
    <meta property="og:image:height" content="1066">

    <!--Twitter Card-->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@publisher_handle">
    <meta name="twitter:creator" content="@author_handle">
    <meta name="twitter:title" content="Accueil - Minute Info">
    <meta name="twitter:description" content="Découvrez MinuteInfos et ses fonctions">
    <!-- Twitter summary card with large image must be at least 280x150px -->
    <meta name="twitter:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Bhaijaan+2&display=swap" rel="stylesheet">
    
    <script src="assets/scripts/app.js" defer></script>
    <link rel="stylesheet" href="assets/styles/app.css">
</head>
<body>
    <header>
        <nav class="topheader">
            <a class="topheader__logo" href="index.php">MinuteInfos</a>
        </nav>
    </header>

    <main class="landing">
        <div class="main">
            <h1 class="main__title title">Minute&nbsp;Infos</h1>
            <h2 class="main__subtext title">L'actualité journalière en 5 articles!</h2>
            <img class="main__img" src="assets/images/Content.png" alt="Image du site">
            <a href="articles.php" class="main__link">Découvrir!</a>
        </div>
        <section class="section">
            <h2 class="section__title title">Un condensé d'articles intéressants.</h2>
            <p class="section__wide">La&nbsp;Libre&nbsp;Belgique, La&nbsp;Meuse, Le&nbsp;Soir, La&nbsp;Dernière&nbsp;Heure, Le&nbsp;Vif... Il y a tant de journaux et certains sujets sont communs. C’est là qu’intervient Minute&nbsp;Infos! On récupère pour vous cinq articles le matin, le midi, et le soir pour vous informer des évènements récents, rapidement!</p>
        </section>
        <section class="section">
            <h2 class="section__title title">Simple d'utilisation...</h2>
            <img class="section__left img" src="assets/images/articles.svg" alt="Image d'articles">
            <p class="section__right">Les cinq articles vous accueillent dès l'ouverture de l'application, ce qui en fait un outil pratique pour consulter l'actualité pendant une pause.</p>
        </section>
        <section class="section">
            <h2 class="section__title title">...et accès à des thèmes variés.</h2>
            <p class="section__left">Vous pouvez également accéder à des articles d'autres thèmes (Économie, Santé, People...) ou d'autres dates en appuyant sur la loupe.</p>
            <img class="section__right img" src="assets/images/Theme.svg" alt="L'image des thèmes'">
        </section>
        <section class="section">
            <h2 class="section__title title">Intéressé&middot;e? Touchez. Consultez.</h2>
            <img class="section__left img" src="assets/images/Easy_access.png" srcset="assets/images/Easy_access.png, assets/images/Easy_access@2x.png 2x" alt="Accès à plusieurs articles de sites différents">
            <p class="section__right">Un article retient votre attention? Touchez-le, vous pourrez lire l'article dans son intégralité dans son site d'origine.</p>
        </section>
        <section class="section">
            <h2 class="section__title title">Choississez les articles ques vous voyez.</h2>
            <p class="section__left">Avec un compte, vous pouvez nous signaler les sujets qui ne vous intéresse pas. On ne les vous montrera pas, dans ce cas.</p>
            <img class="section__right img" src="assets/images/choice.png" srcset="assets/images/choice.png, assets/images/choice@2x.png 2x" alt="L'utilisateur à le choix">
        </section>
        <section class="section">
            <h2 class="section__title title">Un projet évolutif</h2>
            <p class="section__wide">MinuteInfos continuera à recevoir des mises à jour. Des mises à jour d'interface utilisateur sont prévues pour améliorer l'ergonomie et le confort.</p>
        </section>

    </main>
    
    <footer class="footer">

        <a class="logo" href="http://dwm.re">DWM</a>
        <a class="footer__link" href="http://alexis-fluzin.fr">Alexis Fluzin © 2022-</a>
        <ul class="footer__list">
        <li class="footer__listEl"><a href="minuteinfos_v1.zip">Télécharger code source</a></li>
        </ul>
    
    </footer>
</body>
</html>