<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
    <title>Minute Infos - Connexion</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Open Graph-->
    <meta property="og:site_name" content="Minute Info"/>
    <meta property="og:title" content="Connexion - Minute Info"/>
    <meta property="og:description" content="Connexion à MinuteInfos"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/"/>
    <meta property="og:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg"/>
    <meta property="og:image:width" content="1600">
    <meta property="og:image:height" content="1066">

    <!--Twitter Card-->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@publisher_handle">
    <meta name="twitter:creator" content="@author_handle">
    <meta name="twitter:title" content="Connexion - Minute Info">
    <meta name="twitter:description" content="Connexion à MinuteInfos">
    <!-- Twitter summary card with large image must be at least 280x150px -->
    <meta name="twitter:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Bhaijaan+2&display=swap" rel="stylesheet">
    
    <script src="assets/scripts/app.js" defer></script>
    <link rel="stylesheet" href="assets/styles/app.css">
</head>
<body class="inputScreen">
    <nav class="topheader">
        <a class="topheader__logo" href="articles.php">MinuteInfos</a>
        <ul class="topheader__navlist">
            <li class="topheader__navlistEl"><a href="articles.php" class="topheader__button topheader__button--home">News</a></li>
            <li class="topheader__navlistEl"><a href="login.php" class="topheader__button topheader__button--login">Se connecter</a></li>
            <li class="topheader__navlistEl"><a href="registration.php" class="topheader__button topheader__button--register">S'inscrire</a></li>
        </ul>
        <button class="burger">Menu</button>
    </nav>
<?php
    require('includes/db.php');
    session_start();
    // When form submitted, check and create user session.
    if (isset($_POST['username'])) {
        $username = stripslashes($_REQUEST['username']);    // removes backslashes
        $password = stripslashes($_REQUEST['password']);
        // Check user is exist in the database
        $query    = "SELECT username, password FROM `users` WHERE username=:uname";
        $stmt = $conn->prepare($query);
        $stmt->execute([':uname' => $username]);
        $rows = $stmt->fetchAll();
        print_r($rows[0]);
        if (count($rows) == 1 && (password_verify($password, $rows[0]['password']))) {
            $_SESSION['username'] = $username;
            // Redirect to user dashboard page
            header("Location: dashboard.php");
        } else {
            echo "<div class='login__form'>
                  <h1 class='login__title'>Utilisateur/Mot de passe incorrect.</h3><br/>
                  <p class='link'>Cliquez ici pour vous <a href='login.php'>identifier</a> à nouveau.</p>
                  </div>";
        }
    } else {
?>
    <form class="login__form" method="post" name="login">
        <h1 class="login__title">Login</h1>
        <input type="text" class="login__input" name="username" placeholder="Pseudo" autofocus="true"/>
        <input type="password" class="login__input" name="password" placeholder="Mot de passe"/>
        <input type="submit" value="Login" name="submit" class="login__button"/>
        <p class="link"><a href="registration.php">Première fois? Inscrivez-vous!</a></p>
        <p class="link"><a href="password-recovery.php">Mot de passe oublié?</a></p>
  </form>
<?php
    }
?>
</body>
</html>