<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require_once "../vendor/autoload.php";
?>
<!DOCTYPE html>
<html lang="fr">
<head>
<meta charset="UTF-8">
    <title>Minute Infos - Connexion</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Open Graph-->
    <meta property="og:site_name" content="Minute Info"/>
    <meta property="og:title" content="Connexion - Minute Info"/>
    <meta property="og:description" content="Connexion à MinuteInfos"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/"/>
    <meta property="og:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg"/>
    <meta property="og:image:width" content="1600">
    <meta property="og:image:height" content="1066">

    <!--Twitter Card-->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@publisher_handle">
    <meta name="twitter:creator" content="@author_handle">
    <meta name="twitter:title" content="Connexion - Minute Info">
    <meta name="twitter:description" content="Connexion à MinuteInfos">
    <!-- Twitter summary card with large image must be at least 280x150px -->
    <meta name="twitter:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Bhaijaan+2&display=swap" rel="stylesheet">
    
    <script src="assets/scripts/app.js" defer></script>
    <link rel="stylesheet" href="assets/styles/app.css">
</head>
<body class="inputScreen">
    <nav class="topheader">
        <a class="topheader__logo" href="articles.php">MinuteInfos</a>
        <ul class="topheader__navlist">
            <li class="topheader__navlistEl"><a href="articles.php" class="topheader__button topheader__button--home">News</a></li>
            <li class="topheader__navlistEl"><a href="login.php" class="topheader__button topheader__button--login">Se connecter</a></li>
            <li class="topheader__navlistEl"><a href="registration.php" class="topheader__button topheader__button--register">S'inscrire</a></li>
        </ul>
        <button class="burger">Menu</button>
    </nav>

    <?php
    require('includes/db.php');
    // When form submitted, check and create user session.
    if (isset($_POST['email'])) {
        // Check user is exist in the database
        $query    = "SELECT email FROM `users` WHERE email=:mail";
        $stmt = $conn->prepare($query);
        $stmt->execute([':mail' => $_POST['email']]);
        $rows = $stmt->fetchAll();
        if (count($rows) == 1) {
            $emailId = $_POST['email'];
            $token = md5($emailId);
            $expFormat = mktime(
                date("H"), date("i"), date("s"), date("m") ,date("d")+1, date("Y")
            );
           $expDate = date("Y-m-d H:i:s",$expFormat);
           $query = "UPDATE `users` SET reset_token = :token, expiry_date = :expire WHERE email = :mail";
           $stmt = $conn->prepare($query);
           $stmt->execute([':token' => $token, ':expire' => $expDate, ':mail' => $emailId]);
           $link = "<a href='https://alexis-fluzin.fr/projets/tfe/minuteinfos/www/reset-password.php?key=".$emailId."&token=".$token."'>Pour réinitialiser votre mot de passe, cliquez ici.</a>";

           $mail = new PHPMailer(true);
           $mail->CharSet = "utf-8";
           $mail->IsSMTP();
           $mail->SMTPAuth = true;
           $mail->Host = "ssl0.ovh.net ";
           $mail->Username = "contact@alexis-fluzin.fr";
           $mail->Password = "MbTp1watwsf";
           $mail->SMTPSecure = "ssl";
           $mail->Port = "465";

           $mail->From = "contact@alexis-fluzin.fr";
           $mail->FromName = "MinuteInfos Password Recovery Service";

           $mail->addAddress($emailId);
           $mail->addReplyTo("contact@alexis-fluzin.fr");

           $mail->isHTML(true);
           $mail->Subject = "Votre mot de passe MinuteInfos";
           $mail->Body = "Bonjour, vous avez effectué une demande pour réinitialiser votre mot de passe. ". $link;
           try {
            $mail->send();
            echo "<div class='login__form'>
                    <h3>Email envoyé.</h3>
                    <p class='link'>Le mail de récupération a été envoyé. <a href='login.php'>Cliquez ici pour retourner à l'écran de connexion.</a></p>
                    </div>";
            } catch (Exception $e) {
                echo "Mailer Error: " . $mail->ErrorInfo;
                echo "<div class='login__form'>
                    <h1 class='login__title'>Erreur.</h1>
                    <p class='link'>Le mail de récupération n'a pas été envoyé. <a href='login.php'>Cliquez ici pour retourner à l'écran de connexion.</a></p>
                    </div>";
            }
        } else {
            echo "<div class='login__form'>
                  <h1 class='login__title'>Email incorrect.</h1>
                  <p class='link'>Cliquez ici pour vous <a href='password-recovery.php'>recommencer</a></p>
                  </div>";
        }
    } else {
?>
    <form class="login__form" method="post" name="login">
        <h1 class="login__title">Mot de passe oublié?</h1>
        <input type="text" class="login__input" name="email" placeholder="E-Mail"/>
        <input type="submit" value="Envoyer" name="submit" class="login__button"/>
    </form>
<?php
}
?>
</body>
</html>