<!DOCTYPE html>
<html>
<head>
    <title>Minute Infos - Inscription</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Open Graph-->
    <meta property="og:site_name" content="Minute Info"/>
    <meta property="og:title" content="Inscription - Minute Info"/>
    <meta property="og:description" content="Page d'inscription pour MinuteInfos"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/"/>
    <meta property="og:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg"/>
    <meta property="og:image:width" content="1600">
    <meta property="og:image:height" content="1066">

    <!--Twitter Card-->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@publisher_handle">
    <meta name="twitter:creator" content="@author_handle">
    <meta name="twitter:title" content="Inscription - Minute Infos">
    <meta name="twitter:description" content="Page d'inscription pour MinuteInfos">
    <!-- Twitter summary card with large image must be at least 280x150px -->
    <meta name="twitter:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Bhaijaan+2&display=swap" rel="stylesheet">
    
    <script src="assets/scripts/app.js" defer></script>
    <link rel="stylesheet" href="assets/styles/app.css">
</head>
<body class="inputScreen">
    <nav class="topheader">
        <a class="topheader__logo" href="articles.php">MinuteInfos</a>
        <ul class="topheader__navlist">
            <li class="topheader__navlistEl"><a href="articles.php" class="topheader__button topheader__button--home">News</a></li>
            <li class="topheader__navlistEl"><a href="login.php" class="topheader__button topheader__button--login">Se connecter</a></li>
            <li class="topheader__navlistEl"><a href="registration.php" class="topheader__button topheader__button--register">S'inscrire</a></li>
        </ul>
        <button class="burger">Menu</button>
    </nav>
<?php
require('includes/db.php');
include('../vendor/autoload.php');
if (isset($_REQUEST['username'], $_REQUEST['email'], $_REQUEST['password'])){
    $username = stripslashes($_REQUEST['username']);
    $email = stripslashes($_REQUEST['email']);
    $password = stripslashes($_REQUEST['password']);
    // Détection d'un username déja choisi
    $stmt = $conn->prepare("SELECT username FROM `users` WHERE username=:uname");
    $stmt->execute([':uname' => $username]);
    $res = $stmt->fetchAll();
    if(sizeof($res) > 0) {
        echo "<div class='login__form'>
                <p>Ce pseudonyme est déjà utilisé.</p>
                <a href='registration.php'>Cliquez ici pour recommencer.</a>";
    } else {
        //requéte SQL + mot de passe crypté
        $query = "INSERT into `users` (username, email, password)
                VALUES (:uname, :email, :pass)";
        // Exécuter la requête sur la base de données
        $stmt = $conn->prepare($query);
        $stmt->execute([':uname' => $username, ':email' => $email, ':pass' => password_hash($password, PASSWORD_BCRYPT)]);
        if($stmt){
        echo "<div class='login__form'>
                <h3>Vous êtes inscrit avec succès.</h3>
                <p>Cliquez ici pour vous <a href='login.php'>connecter</a></p>
        </div>";
        }
    }
}else{
?>
<form class="login__form" action="" method="post">
    <h1 class="login__title">S'inscrire</h1>
    <input type="text" class="login__input" name="username" placeholder="Nom d'utilisateur" pattern="[a-zA-Z0-9]*" required />
    <input type="email" class="login__input" name="email" placeholder="Email" required />
    <input type="password" class="login__input" id="password" name="password" placeholder="Mot de passe" required />
    <input type="submit" name="password-submit" value="S'inscrire" id="password-submit" class="login__button"/>
    <p class="link">Déjà inscrit? <a href="login.php">Connectez-vous ici</a></p>
</form>
<div class="login__msg">
    <h3 class="loginMsg__header">Le mot de passe doit contenir:</h3>
    <p id="letter" class="invalid">Au moins une lettre <b>minuscule</b></p>
    <p id="capital" class="invalid">Une lettre <b>majuscule</b></p>
    <p id="number" class="invalid">Un <b>chiffre</b></p>
    <p id="length" class="invalid">Au moins <b>8 caractères</b></p>
</div>
<?php } ?>
</body>
</html>