<!DOCTYPE html>
<html lang="fr">
<head>
<meta charset="UTF-8">
    <title>Minute Infos - Connexion</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--Open Graph-->
    <meta property="og:site_name" content="Minute Info"/>
    <meta property="og:title" content="Connexion - Minute Info"/>
    <meta property="og:description" content="Connexion à MinuteInfos"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/"/>
    <meta property="og:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg"/>
    <meta property="og:image:width" content="1600">
    <meta property="og:image:height" content="1066">

    <!--Twitter Card-->
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="@publisher_handle">
    <meta name="twitter:creator" content="@author_handle">
    <meta name="twitter:title" content="Connexion - Minute Info">
    <meta name="twitter:description" content="Connexion à MinuteInfos">
    <!-- Twitter summary card with large image must be at least 280x150px -->
    <meta name="twitter:image" content="http://alexis-fluzin.fr/projets/tfe/minuteinfos/www/assets/images/bg.jpg">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Bhaijaan+2&display=swap" rel="stylesheet">
    
    <script src="assets/scripts/app.js" defer></script>
    <link rel="stylesheet" href="assets/styles/app.css">
</head>
<body class="inputScreen">
    <nav class="topheader">
        <a class="topheader__logo" href="articles.php">MinuteInfos</a>
        <ul class="topheader__navlist">
            <li class="topheader__navlistEl"><a href="articles.php" class="topheader__button topheader__button--home">News</a></li>
            <li class="topheader__navlistEl"><a href="login.php" class="topheader__button topheader__button--login">Se connecter</a></li>
            <li class="topheader__navlistEl"><a href="registration.php" class="topheader__button topheader__button--register">S'inscrire</a></li>
        </ul>
        <button class="burger">Menu</button>
    </nav>


<?php
require_once "../vendor/autoload.php";
if(isset($_POST['password']) && $_POST['reset_link_token'] && $_POST['email'])
{
    if($_POST['password'] == $_POST['cpassword']) {
        require("includes/db.php");
        $email = $_POST['email'];
        $token = $_POST['reset_link_token'];
        $password = password_hash($_POST['password'], PASSWORD_BCRYPT);
        $query = "SELECT * FROM `users` WHERE `reset_token` = :token AND email = :mail";
        $stmt = $conn->prepare($query);
        $stmt->execute([':token' => $token, ':mail' => $email]);
        $result = $stmt->fetchAll();
        if(sizeof($result) > 0) {
            try {
                $query = "UPDATE `users` SET password = :pass, `expiry_date` = NULL, `reset_token` = NULL WHERE email = :mail";
                $stmt = $conn->prepare($query);
                $stmt->execute([':pass' => $password, ':mail' => $email]);
                echo "<div class='login__form'>
                <p class='text'>Votre mot de passe a été modifié avec succès!</p>
                <p class=`link'>Cliquez ici pour <a href='login.php'>vous connecter</a></p>
                </div>";
            } catch (PDOException $e) {
                echo "Error: " . $e;
            }
        } else {
            echo "<div class='login__form'>
                    <p class='text'>Une erreur est survenue.</p>
                    </div>";
        }
    } else {
        echo "<div class='login__form'>
        <h3>Les deux mots de passe sont différents.</h3>
        <p class='link'>Cliquez ici pour vous <a href='reset-password.php?key=".$_POST['email']."&token=".$_POST['reset-token']."'>recommencer</a></p>
        </div>";
    }
}
?>
</body>
</html>